GNU bug report logs - #44151
trmap: remote gdb with ssh doesn't work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: William Xu <william.xwl@HIDDEN>; Keywords: moreinfo; merged with #28392; dated Thu, 22 Oct 2020 19:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 28392 44151. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44151 <at> debbugs.gnu.org:


Received: (at 44151) by debbugs.gnu.org; 24 Oct 2020 14:25:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 24 10:25:11 2020
Received: from localhost ([127.0.0.1]:34242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kWKTm-0000dh-UT
	for submit <at> debbugs.gnu.org; Sat, 24 Oct 2020 10:25:11 -0400
Received: from mout.gmx.net ([212.227.15.19]:51057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kWKTl-0000dR-AN
 for 44151 <at> debbugs.gnu.org; Sat, 24 Oct 2020 10:25:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603549502;
 bh=4aZeVBokqXrsjPBBJKtSrPCKn7TMvDGfXf8fH2RYlz4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Gph4EzfIfV0257TVEh+dpv6XUsMwX4hiFLul9qmH7Y7ikgR/GRO7VQQWD9jHnomcZ
 7BPcmaifs6YOfpMREY3UaZQ6uYiZHMGzkXYuGiYantrE9+P8LzFthhWsqvcCr0axh3
 CejIAn5aAan7cBD7MuI6KuElVX/cu/0YYKZUuAUM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.54.44]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MStCe-1kyPT61Rvy-00UFzE; Sat, 24
 Oct 2020 16:25:02 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: William Xu <william.xwl@HIDDEN>
Subject: Re: bug#44151: trmap: remote gdb with ssh doesn't work
References: <m2k0vi5bll.fsf@HIDDEN> <873625f104.fsf@HIDDEN>
 <m2k0vgopky.fsf@HIDDEN>
Date: Sat, 24 Oct 2020 16:25:00 +0200
In-Reply-To: <m2k0vgopky.fsf@HIDDEN> (William Xu's message of "Fri, 23 Oct
 2020 18:49:01 +0200")
Message-ID: <87tuujwvk3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ZMrQbX6H96PTyhZJ0ZFWN9Fwp54P1ASrbx5uBvDVwtAgzSEl7y2
 Pm/ZXlQ9/1D6iY49zguzOGxuw/yRd7yP0WU99JaTMno4o5oSdMp15299Z+/Sfui3aolo57Y
 Q4BVBwVgIDSBP72LD8TkWU/pRMeRBuXA3oLLPhLHuMuxsmcNeIm64UpILcyzSj7HgHz+pnb
 fW7U9q15qUQBbi+vrkapQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iwXseNbuoO0=:ejF60Q0Ge3s9NBNN1+ACK/
 TsTUK6MbjeyRAfW/hcLDlwgUB9kGofuAOiHvDK3EXt8ggBG+WV5ScKs83T4NiZdyLM7H1j7bY
 XrL1/fGfZY/PZi0GR8cMdHVjmvwZwiwZ6bvuVmCkF/4n+8hldaiyEdQ+o1I94EBRHJj5OrAan
 LKGe4Xa0G5xIGmtWxYM2CD+rTyNeg/HlzgcAmhmsuA66O8Cu5VKj+n3ytcLbc0uBW9kFbd3bb
 n8Sk02JUGS+vhX3oaIq7LFjuV8dPnL/38UI1UoS7UrYFAT9RpScEv9pMLrxjgT51mFlu2no26
 BDLAmYqCuzAdntTwSJtsWTh6DuXW9tMupeGNS5qYvuj9mPFL/J1QyEge6A7sutcQ70DhcwgWt
 pW/4Q1kNyFBICKWlHohgReEIe75SWya84ceJzQg6kh5JsZKX6zXclFVsV3KlTzKM0SqVCst8Q
 +Y9Lnpm23wTDaIM9Arx1SriZ3bJuoXNs06hUg4B7IVrV4IeYpECDm7gY06jG/jFuD0apWPE5D
 kaqw+SFzhYv95G113Tn6RfBisU6kNWgL6V7+f/3w5lsEg6unL6s2obsKg755I/c5v1sdNeCPY
 bs0vxdo00NbUnBbIkvPXV/exbA1D1/OTAQm44bOB9xL8exPzkBJaakzIFBJk5j1Br5P3pUdc0
 V0+HLDrzHVutgeDtPiUp1FhlO4HAbONvdFdgeB97FxjvYGZU1uGMxXNVcr7fM6RdG+jV7+KS1
 kGAa/af3JACmqf7Sqt5VnknONySQYvUFIsN3NXAertrVTYZ8oHkEqaGImPOx65soApVLOjtzn
 o19uS2uz2e6JskMm5wIJ9TnNwOSTIeGPZ5al4ovXcgf8clUX/niEnenwsNImJjCMH7zYXD0Pa
 h1C0lcGakLOtHPb7xx+g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44151
Cc: 44151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

William Xu <william.xwl@HIDDEN> writes:

Hi,

> Thanks for the fast fix! Yes, now gdb can work.

Thanks for the feedback. I've pushed the patch to the repo.

> However, I notice that after I set a breakpoint in the file, I could see
> the red dot for the breakpoint in the buffer, but when I start to run
> it, I don't see the debugger step marker in the file buffer, for
> indicating the next line to follow. Is this expected behavior?

No, I don't believe so. I could confirm this misbehaviour.

And I'm sorry, I don't know gdb-mi.el. Hopefully, somebody else could
fix this.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44151; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2020 16:49:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 23 12:49:14 2020
Received: from localhost ([127.0.0.1]:58093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kW0Fd-0007dL-My
	for submit <at> debbugs.gnu.org; Fri, 23 Oct 2020 12:49:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:40304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kW0Fa-0007d8-EU
 for submit <at> debbugs.gnu.org; Fri, 23 Oct 2020 12:49:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53624)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kW0FZ-0006uQ-PJ
 for bug-gnu-emacs@HIDDEN; Fri, 23 Oct 2020 12:49:10 -0400
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:54228 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kW0FY-0003o9-GK
 for bug-gnu-emacs@HIDDEN; Fri, 23 Oct 2020 12:49:09 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kW0FV-0002RS-BG
 for bug-gnu-emacs@HIDDEN; Fri, 23 Oct 2020 18:49:05 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: William Xu <william.xwl@HIDDEN>
Subject: Re: bug#44151: trmap: remote gdb with ssh doesn't work
Date: Fri, 23 Oct 2020 18:49:01 +0200
Organization: the Church of Emacs
Message-ID: <m2k0vgopky.fsf@HIDDEN>
References: <m2k0vi5bll.fsf@HIDDEN> <873625f104.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:UIVWDVRpaFz3LwkoJOzj6FKWf7o=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/23 09:28:40
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Confirmed. Does the appended patch fixes the problem?

Thanks for the fast fix! Yes, now gdb can work.

However, I notice that after I set a breakpoint in the file, I could see
the red dot for the breakpoint in the buffer, but when I start to run
it, I don't see the debugger step marker in the file buffer, for
indicating the next line to follow. Is this expected behavior?

-- 
William





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44151; Package emacs. Full text available.

Message received at 44151 <at> debbugs.gnu.org:


Received: (at 44151) by debbugs.gnu.org; 23 Oct 2020 14:52:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 23 10:52:39 2020
Received: from localhost ([127.0.0.1]:57970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVyQp-0000OZ-8L
	for submit <at> debbugs.gnu.org; Fri, 23 Oct 2020 10:52:39 -0400
Received: from mout.gmx.net ([212.227.15.15]:55365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kVyQl-0000OJ-DX
 for 44151 <at> debbugs.gnu.org; Fri, 23 Oct 2020 10:52:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603464748;
 bh=3pfdhreKiMku2mVB/VgZuwiTNiqDfKfPNFyjLpp19W4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=dKA/yD1BjLJSK4B5JvZ6uKamAU53aZdi8XkrMsjNwPmpfyv0MFMD8N5Ucu8R4W6yY
 gBJzdlpQbtD+UlM9vu+j8wpMh5JmOtkE9H8TWFkFOS2uXzarv7usuwO5xO/k9karf3
 HL3BLVX5B7viQxjx6zdoJzF/v+g8aKEgXoFmAIkM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.125.123]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MI5Q5-1kbAxH180V-00FD4z; Fri, 23
 Oct 2020 16:52:28 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: William Xu <william.xwl@HIDDEN>
Subject: Re: bug#44151: trmap: remote gdb with ssh doesn't work
References: <m2k0vi5bll.fsf@HIDDEN>
Date: Fri, 23 Oct 2020 16:52:27 +0200
In-Reply-To: <m2k0vi5bll.fsf@HIDDEN> (William Xu's message of "Thu, 22 Oct
 2020 21:01:26 +0200")
Message-ID: <873625f104.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:KYuowAsvE8mLQkAWpVS+Ky3jgCS19wzW96kCK1j5yF9Rfet1vRt
 V7bA4SZT4bitVC9CpFzJFKr4joVFGBp2RTt758SlsSEU0P4rEBcKeYRCiBvGmrPHlEQtgdR
 b9ezXs/eAo5in4vCtA5IKGGvGst6GyE5GjmSCLkSiPWW1RDWzyGFm95yrtnd1n0AaVXkHsw
 1H6QA/rGn6pj/pJpvT7Iw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:IhOnrFy7uc0=:L+hsKqfVce6TvKulPUHGvi
 KNSvbUqxX4TwYjcyNQp6M3h4mr2AuHgBuQei1mEI8HumrmtY/iwl+b8JkM2zD8IwzS4iAL5Q1
 5yR6tFdc27JLhjsgeoQwPihQQiMXVtDnbqLIWVWJ6iEGhwdzc4GEzuKk6kuYsjECRgADGDtXU
 Zck8xpkaMyiOWoIm7JI32/J1qZueBK5vhQ4wTGUEXC3PT3ErZHJ4C1EcYrvfcSl4W9CVxfETQ
 55S9T8YEo2DhQu1/F8WpDULnjMeQTHhQsrR8hZzloEFzApP8FdlYoUafx8jZG0tKSwBJ+rWty
 MUQKCfhVr942M40pWJdXkjFWDxme0Kma4wpjwfjl4gHVqxcbSwAuh+M3ykkgEjABRXxqJMv8K
 8/9I28TesINwIvabmWhT5laBZm55CcBTLFYWx/VkqP/05HcjGlLOG3EYpbKFH/mbzUil4s95x
 UI8M7oM8CvrPJjbXmpJKyC7eXfRNZJgOm5mdYdmYYryKSUverL7bwmgz83cqnEoOR/zpaXd6s
 tRxLkdUeWLQWTpWz6BZHt6sDPlJYX3kMxXYf+mGFtqp0Okr6ZwPCguJPWaa0DjDoqHX19rK91
 cNteFBNlEQ4ZaATWMM7w2X4Cfk3xo/6O5tWfPh6NT6HN38vYNByYeOYYiM7Iqr0FsaeHCSTEz
 VPmyDiFPCmYHROS/xdkzLTFXdHwoPALlI5N1GCM38bUolk/OH5JYezciIYf/goM5RPQuHTZza
 5F9LVrIzF+JqK9brzx302qyn5fr2FtlJLm6Ouu/F+nYzFQUcnQ6dz5QyC+JvozWkKPW0cI0PL
 28gV3APb39eJqst9BwJku5Qt9L190YzfkS6YoUm/WlKmgiP3LFHpzJV1RID4j6BIvcLTp79he
 JsMdHQPiB+qc4OR9bvwA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44151
Cc: 44151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

William Xu <william.xwl@HIDDEN> writes:

> Hi,

Hi,

> However, after the program to debug is read, it looks like there is some
> error setting up gdb's inferior tty?
>
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from /home/wx/tmp/a.out...
>
> Debugger entered--Lisp error: (wrong-type-argument "consp nil")
>   signal(wrong-type-argument ("consp nil"))

Confirmed. Does the appended patch fixes the problem?

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment

*** /tmp/ediffsLfY1u	2020-10-23 16:51:34.788931136 +0200
--- /home/albinus/src/tramp/lisp/tramp-sh.el	2020-10-23 16:46:48.832033338 +0200
***************
*** 2809,2815 ****
  	    (signal 'wrong-type-argument (list #'stringp name)))
  	  (unless (or (null buffer) (bufferp buffer) (stringp buffer))
  	    (signal 'wrong-type-argument (list #'stringp buffer)))
! 	  (unless (consp command)
  	    (signal 'wrong-type-argument (list #'consp command)))
  	  (unless (or (null coding)
  		      (and (symbolp coding) (memq coding coding-system-list))
--- 2809,2815 ----
  	    (signal 'wrong-type-argument (list #'stringp name)))
  	  (unless (or (null buffer) (bufferp buffer) (stringp buffer))
  	    (signal 'wrong-type-argument (list #'stringp buffer)))
! 	  (unless (or (null command) (consp command))
  	    (signal 'wrong-type-argument (list #'consp command)))
  	  (unless (or (null coding)
  		      (and (symbolp coding) (memq coding coding-system-list))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44151; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2020 19:01:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 15:01:39 2020
Received: from localhost ([127.0.0.1]:53829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVfqF-0006a9-H5
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 15:01:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:43822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVfqD-0006a1-VT
 for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 15:01:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58764)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVfqC-0004gR-SF
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 15:01:37 -0400
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:32892 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVfqB-00087W-Bj
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 15:01:36 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVfq6-0006Ta-TO
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 21:01:30 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: William Xu <william.xwl@HIDDEN>
Subject: trmap: remote gdb with ssh doesn't work
Date: Thu, 22 Oct 2020 21:01:26 +0200
Organization: the Church of Emacs
Message-ID: <m2k0vi5bll.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:wRD/50V2GynpBJ8/CW+mPo9kmHk=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/22 12:34:22
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.25, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, I tried to run the debug remote program with gdb via ssh.
    I followed the instructions from the [[info:tramp#Remote processes][info:tramp#Remote
    processes]]: ,---- | 5.5.5 Running a debugger on a remote host | | | ‘gud.el’
    provides a unified interface to symbolic debuggers (*note | (emacs)Debuggers::).
    TRAMP ca [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=geb-bug-gnu-emacs%40m.gmane-mx.org;ip=209.51.188.17;r=debbugs.gnu.org]
  1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
                             headers
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (william.xwl[at]gmail.com)
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [209.51.188.17 listed in wl.mailspike.net]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Hi,

I tried to run the debug remote program with gdb via ssh. I followed the
instructions from the [[info:tramp#Remote processes][info:tramp#Remote processes]]:

,----
| 5.5.5 Running a debugger on a remote host
| -----------------------------------------
| 
| ‘gud.el’ provides a unified interface to symbolic debuggers (*note
| (emacs)Debuggers::).  TRAMP can run debug on remote hosts by calling
| ‘gdb’ with a remote file name:
| 
|      M-x gdb <RET>
|      Run gdb (like this): gdb -i=mi /ssh:host:~/myprog <RET>
`----

However, after the program to debug is read, it looks like there is some
error setting up gdb's inferior tty?

---------------------------------8<------------------------------------- 
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /home/wx/tmp/a.out...

Debugger entered--Lisp error: (wrong-type-argument "consp nil")
  signal(wrong-type-argument ("consp nil"))
  tramp-signal-hook-function(wrong-type-argument (consp nil))
  signal(wrong-type-argument (consp nil))
  tramp-sh-handle-make-process(:name "gdb-inferior" :buffer #<buffer limbo<3>> :command nil :stderr nil :noquery nil :file-handler t)
  apply(tramp-sh-handle-make-process (:name "gdb-inferior" :buffer #<buffer limbo<3>> :command nil :stderr nil :noquery nil :file-handler t))
  tramp-sh-file-name-handler(make-process :name "gdb-inferior" :buffer #<buffer limbo<3>> :command nil :stderr nil :noquery nil :file-handler t)
  apply(tramp-sh-file-name-handler make-process (:name "gdb-inferior" :buffer #<buffer limbo<3>> :command nil :stderr nil :noquery nil :file-handler t))
  tramp-file-name-handler(make-process :name "gdb-inferior" :buffer #<buffer limbo<3>> :command nil :stderr nil :noquery nil :file-handler t)
  tramp-handle-start-file-process("gdb-inferior" #<buffer limbo<3>> nil)
  apply(tramp-handle-start-file-process ("gdb-inferior" #<buffer limbo<3>> nil))
  tramp-sh-file-name-handler(start-file-process "gdb-inferior" #<buffer limbo<3>> nil)
  apply(tramp-sh-file-name-handler start-file-process ("gdb-inferior" #<buffer limbo<3>> nil))
  tramp-file-name-handler(start-file-process "gdb-inferior" #<buffer limbo<3>> nil)
  apply(tramp-file-name-handler start-file-process "gdb-inferior" #<buffer limbo<3>> nil nil)
  start-file-process("gdb-inferior" #<buffer limbo<3>> nil)
  apply(start-file-process "gdb-inferior" #<buffer limbo<3>> nil nil)
  comint-exec-1("gdb-inferior" #<buffer limbo<3>> nil nil)
  comint-exec(#<buffer limbo<3>> "gdb-inferior" nil nil nil)
  make-comint-in-buffer("gdb-inferior" #<buffer limbo<3>> nil)
  gdb-inferior-io-mode()
  gdb-get-buffer-create(gdb-inferior-io)
  gdb-init-1()
  gdb-update()
  gdb("gdb -i=mi /ssh:wx@SERVER:/home/wx/tmp...")
  funcall-interactively(gdb "gdb -i=mi /ssh:wx@SERVER:/home/wx/tmp...")
  call-interactively(gdb record nil)
  command-execute(gdb record)
  execute-extended-command(nil "gdb" nil)
  funcall-interactively(execute-extended-command nil "gdb" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
---------------------------------8<------------------------------------- 

I tested it with `-Q' by building the latest emacs in the git:

GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G6032)) of 2020-10-22

-- 
William






Acknowledgement sent to William Xu <william.xwl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44151; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Nov 2020 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.